﻿/* Do not show validation messages for sections marked with ".validation-hidden"*/
.validation-hidden .k-invalid-msg {
    display: none;
}

/* Radio button and Checkbox .k-invalid needs an after to show */
input[type=radio].k-invalid:after, input[type=checkbox].k-invalid:after {
    width: 13px;
    height: 13px;
    top: -5.5px;
    left: 0;
    position: relative;
    content: '';
    display: inline-block;
    border-width: 2px;
    border-style: solid;
    box-sizing: border-box;
    background: transparent;
}
/* Radio buttons are round, so add 100% border radius. */
input[type=radio].k-invalid:after {
    border-radius: 100%;
}

/* Checkboxes are almost square, so add 20% border radius. */
input[type=checkbox].k-invalid:after {
    border-radius: 20%;
}